Subject: Re: RE: bug#12774: RE: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing‏

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Nov 2012 22:07:00 +0200

> From: Vincent Belaïche <[email-masked]>
> CC: <[email-masked]>
> Date: Sat, 3 Nov 2012 18:41:31 +0100
> 
> I did now exactly as you said in the first place: I launched only one instance of emacs, got its PID from the task manager, got it crashed, and then connected the gdb to it, and then got the backtrace.

Now we are cooking.  I need a recipe to reproduce this crash.

> I was not doing this way before, but rather launched emacs via `gdb --exec=...emacs'. This is because there is no systematic way to get the crash happen. Sometimes it happens, and sometimes not. It seems to have to do with some real time condition, like some race between two processes. So it seemed to me that it was easier to have it crashed when emacs is run from the debugger, rather run it, and then connect the debugger. I must say that I have no certainty about that. Indeed, the crash happens rather unpredictably. So, anyway, the only truth is the trace below.

It's not related to any race condition.  It's related to memory
allocation; specifically, memory allocation for loading a large
charset.  Can you try to remember what were you doing when Emacs
crashed?